### A free/open-source library for quantitative finance

Classes
ql/cashflows/overnightindexedcoupon.hpp File Reference

coupon paying the compounded daily overnight rate More...

`#include <ql/cashflows/floatingratecoupon.hpp>`
`#include <ql/indexes/iborindex.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for overnightindexedcoupon.hpp:

## Classes

class | OvernightIndexedCoupon
| overnight coupon More...
class | OvernightLeg
| helper class building a sequence of overnight coupons More...

## Detailed Description

coupon paying the compounded daily overnight rate